com.thinkaurelius.titan.util.datastructures

## Class IterablesUtil

- java.lang.Object
- - com.thinkaurelius.titan.util.datastructures.IterablesUtil

-     public class IterablesUtil
      extends Object

  Utility class for interacting with `Iterable`.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.common.base.Predicate` | `NO_FILTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IterablesUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <O> Iterable<O>` | `emptyIterable()`
    `static <O> Iterable<O>` | `limitedIterable(Iterable<O> iterable, int limit)`
    `static <E> List<E>` | `mergeSort(Collection<E> a, Collection<E> b, Comparator<E> comp)`
    `static <E> com.google.common.base.Predicate<E>` | `noFilter()`
    `static int` | `size(Iterable i)`
    `static boolean` | `sizeLargerOrEqualThan(Iterable i, int limit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_FILTER

          public static final com.google.common.base.Predicate NO_FILTER

  - ### Constructor Detail

    - #### IterablesUtil

          public IterablesUtil()

  - ### Method Detail

    - #### emptyIterable

          public static final <O> Iterable<O> emptyIterable()

    - #### noFilter

          public static final <E> com.google.common.base.Predicate<E> noFilter()

    - #### limitedIterable

          public static final <O> Iterable<O> limitedIterable(Iterable<O> iterable,
                                        int limit)

    - #### size

          public static final int size(Iterable i)

    - #### sizeLargerOrEqualThan

          public static final boolean sizeLargerOrEqualThan(Iterable i,
                                      int limit)

    - #### mergeSort

          public static <E> List<E> mergeSort(Collection<E> a,
                              Collection<E> b,
                              Comparator<E> comp)

Copyright © 2012–2014. All rights reserved.